org.eclipse.emf.cdo.security.impl

## Interface ResourceFilterImpl.Matcher

- All Known Implementing Classes:
    ResourceFilterImpl.AntMatcher, ResourceFilterImpl.ExactMatcher, ResourceFilterImpl.PathMatcher, ResourceFilterImpl.RegexMatcher, ResourceFilterImpl.TreeMatcher
  Enclosing class:
    ResourceFilterImpl

      public static interface ResourceFilterImpl.Matcher

  Matches the path of a `resource node`.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PatternStyle` | `getParentPatternStyle()`
    `boolean` | `matches(String revisionPath)`

- - ### Method Detail

    - #### matches

          boolean matches(String revisionPath)

    - #### getParentPatternStyle

          PatternStyle getParentPatternStyle()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html